package org.project.entity.enemies;


public class Skeleton extends Enemy{

    private final static EnemyStats stats = new EnemyStats(110, 16, 35);
    private boolean reviveEnabled;

    public Skeleton() {
        super(stats);
        reviveEnabled = true;
    }


    public void revive() {
        if(!isAlive() && reviveEnabled) {
            heal(getMaxHP() / 2);
            reviveEnabled = false;
            System.out.println("the skeleton comes back to life!");
        }
    }

    @Override
    public String getType() {
        return "Skeleton";
    }

    public boolean getReviveEnabled() { return reviveEnabled;}

}
